CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.13. CUpti_ActivityEventInstance Struct Reference

## [CUPTI Activity API]

This activity record represents the a CUPTI event value for a specific event domain instance (CUPTI_ACTIVITY_KIND_EVENT_INSTANCE). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect event data may choose to use this type to store the collected event data. This activity record should be used when event domain instance information needs to be associated with the event.

### Public Variables

uint32_t correlationId
CUpti_EventDomainID domain
CUpti_EventID id
uint32_t instance
CUpti_ActivityKind kind
uint32_t pad
uint64_t value

### Variables

uint32_t CUpti_ActivityEventInstance::correlationId [inherited]

  The correlation ID of the event. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the event was gathered.

CUpti_EventDomainID CUpti_ActivityEventInstance::domain [inherited]

  The event domain ID.

CUpti_EventID CUpti_ActivityEventInstance::id [inherited]

  The event ID.

uint32_t CUpti_ActivityEventInstance::instance [inherited]

  The event domain instance.

CUpti_ActivityKind CUpti_ActivityEventInstance::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_EVENT_INSTANCE.

uint32_t CUpti_ActivityEventInstance::pad [inherited]

  Undefined. Reserved for internal use.

uint64_t CUpti_ActivityEventInstance::value [inherited]

  The event value.